×

Discussion Board

Results 1 to 2 of 2

Thread: Using MS2005

  1. #1
    Registered User
    Join Date
    Jan 2006
    Posts
    24

    Using MS2005

    Hi.
    Anybody tries to use VS 2005 under S80?
    I’ve had project test.mmp, If I do makmake test.mmp vc7 I’ll get a message:
    Error: failed to find version information for LINK.EXE, after that I found in article how solved this error: Edit file C:\Symbian\7.0s\S80_DP2_0_SDK\epoc32\tools\winutl.pm
    And edit the line if ((/^.+\s+Version\s+(\d)\.(\d{2})\.(\d{4})\s*$/o)
    Change to if ((/^.+\s+Version\s+(\d)\.(\d{2})\.(\d{4})\s*/o)
    But, when I create project file for VC++, I couldn’t compile it:

    Error occur: C:\Symbian\7.0s\S80_DP2_0_SDK\epoc32\include\e32std.h(1414) : error c2440: ‘initializing’ : cannot convert from ‘const wchar_t [1]’ to ‘TLitC16<S>::__TText’ with [S=1] There is no context in which this conversion is possible

    So, can I use VS 2005 for develop application on S80?

    Thanks.

  2. #2
    Registered User
    Join Date
    Apr 2003
    Posts
    4

    Re: Using MS2005

    Hi,
    I'm not sure this is your case, but have you tried setting
    Project->Properties->Configuration properties->C/C++->Language->Treat "wchar_t as built in type" to "No"?

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×